# C/C++ File Properties, Paths and Symbols, Symbols

You can modify the list of preprocessor symbols.

Languages (left pane)
  Displays language related to this file.
Symbol / Value
  List of symbols related to given language.
Add
  Add new symbol
Edit
  Modify selected symbol value/dd>
Delete
  Remove selected symbol
Export / Unexport
  Toggle selected symbol exported or not
Show built-in values
  Check to display system (built-in) includes.
Available for :
  CDT projects, folders and files

- Resource
- C/C++ Build

- Discovery options
- Settings

- Tool chains setting tab
- Build Steps tab

- Tool chain editor page

- C/C++ General

- Paths and Symbols

- Includes tab
- Symbols tab
- Data Hierarchy tab

- Run/Debug Settings page